[project]
name = "aircox"
# version = "0.1"
description = "Radio management platform and website"
readme = "README.md"
license = {text = "GPLv3"}
requires-python = ">=3.8"

authors = [
    {name = "Thomas", email = "thomas@bkfox.net"},
]

classifiers = [
    "Framework :: Django",
    "Programming Language :: Python",
    "Programming Language :: Python :: 3.11",
]

dynamic = ["version", "dependencies"]

[project.urls]
"Homepage" = "https://git.radiocampus.be/rc/aircox/"


[build-system]
requires = ["setuptools>=60", "setuptools-scm>=8.0", "wheel"]
build-backend = "setuptools.build_meta"

[tool.setuptools]
include-package-data = true

[tool.setuptools.packages.find]
where = ["."]
include = ["aircox*",]
exclude = ["aircox*.tests*",]
namespaces = false

[tool.setuptools.dynamic]
dependencies = {file = ["requirements.txt"]}

[tool.setuptools_scm]

[tool.pytest.ini_options]
DJANGO_SETTINGS_MODULE = "instance.settings"
python_files = ["tests.py", "test_*.py", "*_tests.py"]


[tool.black]
line-length = 120
exclude = '''
    /(
          \.egg
        | \.git
        | \.hg
        | \.tox
        | \._build
        | \.build
        | \.bulk-out
        | \.dist
        | \.__pycache__
        | \.venv
        | \.migrations
        | \.static
        | \.instance/settings
    )
'''

[tool.ruff]
line-length = 120
exclude = [
    "egg",
    "git",
    "hg",
    "tox",
    "_build",
    "build",
    "dist",
    "__pycache__",
    "venv",
    "*/migrations",
    "static",
    "instance/settings",
]
